

iOS 
---

60f9348 Updated RELEASENOTES for 2.7.0
8c5a8e0 [CB-3254] Update www/ Application for iOS
3348bda Updated VERSION to 2.7.0
c164681 Updated cordova-js for 2.7.0
3a5d577 [CB-3295] Send InAppBrowser loadstart events when redirects occur (cherry picked from commit 3ac92e817c59996bb5a046081e3a39256dfc0358)
1e26f40 [CB-2698] Fix load detection when pages have redirects. (cherry picked from commit 7e0a32892a540295e7de5da6a4832dfdaf337ac0)
2f21c6e Typo for CORDOVA_2_7_0
d5186c1 Updated RELEASENOTES for 2.7.0rc1
8598461 Updated VERSION to 2.7.0rc1
6303f93 Update tagged 2.7.0rc1 cordova-js
cce2cdd Fix FileTransfer unit test. HTTP Method was being set to null.
c8f31c3 Update JS snapshot
75ed2bb [CB-3067] Revert CDVURLProtocol to not whitelist file urls
d8d9f3b [CB-3066] Fire onNativeReady from JS, as bridge is available immediately
ee35807 [CB-3067]: fixing ios5 whitelist of file url
df1d295 InAppBrowser: Don't inject iframe bridge until necessary.
0376206 [CB-3069] Fix InAppBrowser load events (for non-redirecting pages)
c6e7114 [CB-3048] Add --arc flag to create script, support arc in template.
c017fda [CB-3052] iOS Exif SubIFD offsets incorrect
fbef36b [CB-3039] iOS Exif date length mismtach
a691bd6 CB-3032: Add whitelist support for custom schemes.
d7fb7bf [CB-2911] Updated resolveLocalFileSystemURI.
5e8e269 Interim .js for the deleted 'Debug Console' plugin
9facafb [CB-3021] Can no longer import CDVPlugin.h from plugin Objective-C++ code
27de7de [CB-2960] Changing the volume of a sound already playing
1b22bd8 [CB-2725] follow links in www copy script
064239b [CB-2824] Remove DebugConsole plugin
c9f2332 [CB-2653] Delay executeScript/insertCSS callback until resources have loaded; pass JS results to callback
d2ffc92 Updated cordova.js to 2.6.0
d7ecb8e Updated VERSION to 2.6.0
60eb7f1 [CB-2732] Only set camera device when allowed.
997359f [CB-2902] re-added long/short tags to template dict, fixed subExifIFD offset
355b3ac Merge remote-tracking branch 'apache/master'
850c4bd [CB-2849] Fix bin/create when CordovaLib parent dir has a space
deb60d8 [CB-2896] fixed error in exif subifd offset calculation for tag 8769
c08e414 [CB-2848] ShowSplashScreenSpinner not used
7d6d985 CB-2725: Fix www deploy issues with symlinks
cb01eab Merge remote-tracking branch 'apache/master'
a0d8dc7 [CB-2896] split writing of working tags off here, multipart tags not supported
bd48a6b Style fixups (uncrustify 0.6.0)
5addd3d [CB-2587] Added plugin timing for plugins that are loaded on startup (plugin 'onload' attribute)
cb8e66c [CB-2788] add ./bin/check_reqs script to iOS
5d8a01a Added updated 2.6.0rc1 cordova.js
42f48fb [CB-1518] Request content length in parallel with download for gzipped content
7aa2607 [CB-2190] Allow FileTransfer uploads to continue in background
43edb03 [CB-51] Added httpMethod for file transfer options (defaults to POST)
d6a3576 [CB-2537] Implement streaming downloads for FileTransfer
3e007c3 [CB-2790] removed old splice code, replaced with JpegHeaderWriter api calls
e078f62 [CB-2790] added splice function to header writer: accepts jpeg as NSData, and splices in exif data specified by a string
9a6a689 [CB-2653] Simplify InAppBrowser.injectScriptCode.
40c98b8 Fix NPE in InAppBrowser's error callback.
452db15 [CB-2305] Add InAppBrowser injectSriptCode command to support InAppBrowser.executeScript and InAppBrowser.insertCSS APIs


Android 
---

909e664 Updating JS for Android
a308100 Prep for 2.7.0 final
fea8c5d Merge branch '2.7.x' of https://git-wip-us.apache.org/repos/asf/cordova-android into 2.7.x
a890c81 This should be 2.7.0rc1
665c1bd [CB-3226] Fix: plugins can intercept urls with "?", "#", "%20"(cherry picked from commit 53982272d694b0bcc2093e8374b3a6fdd64b97fa)
b22990c cordova-js wasn't properly auto-incremented either
832998b 2.7.0rc1 prep
c798d13 Update JS snapshot for 2.7.0
bf3e024 [CB-3066] Fire onNativeReady from JS, as bridge is available immediately
191f31b [CB-2432] Don't try and write exif info for images from picasa
d3b7903 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-android
99e7d1e Merge branches 'sunshine' and 'master'
b13166f [CB-2432] Fix Camera.getPicture() for picasa images
80fe445 Use FileHelper in IceCreamCordovaWebViewClient.
791574c Make URL parsing more robust in FileHelper.
ac61ebf Merge branch 'master' of github.com:SunshineTech/cordova-android into sunshine
cb99ed0 Fixing URL transformation algorithm
4864d52 [CB-2202] Remove Plugin.java (was deprecated).
b2d6167 [CB-2963] Re-enable sending messages in batches.
383b3da [CB-3024] expanded help string for cl create script
c65c259 CB-2200: Remove deprecated Android device.name
e7e2730 Fixing CB-2955, breaking CB-2085, use localStorage, NOT WebSQL
bb9615e Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-android
18877bf Adding additional condition that the phone must be made by HTC for the setNavDump to be set to true to try and work around CB-2907, if it's still a problem on HTC devices running Android 2.2, that's just the luck of the draw.
778b784 [CB-2908] Fix the DroidGap activity Lifecycle broken issue
5ff900f Fixup for CB-2654.
ba31424 Keep the splashscreen image ratio instead of streatching it. An ImageView is used to be able to use ScaleType.CENTER_CROP, which is similar to the background-size:cover CSS property
1782111 [CB-2654] Delay executeScript/insertCSS callback until resources have loaded; pass JS results to callback
1fa6330 [CB-2666] Added check for null arguments.
b42c918 Prep for 2.6.0 final
f12262e Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-android
334cf45 Fixing CB-1700, we had the file names reversed, so exif was never being written right.  Needed to upload a file to debug this thing
b7bb722 CB-1796: Let's make sure we actually write the file instead of just writing EXIF to NOTHING
64ff204 Updating JS
282367c [CB-1517] Properly report download progress for GZIP-encoded resources
36c33a5 CB-1944: Better error messages for Create script
5ee7e81 [CB-51] Added httpMethod for upload (defaults to POST)
f485944 Fixed protocol regex bug. Unknown protocol support Added whitelist support for unknown protocols
2bf6509 Modify Issue CB-2273.


BlackBerry 
---

be140a5 Update to version 2.7.0
baa789c [CB-3232] Update bin/create to be run from any directory.
493deb9 [CB-3102] - updated version and tagged
1c63bd5 [CB-3078] - updated javascript
cdb5ad1 [CB-3024] help string updated with parameter usage
9a26b94 [CB-2766] - updated version
4ab1a56 [CB-2745] - updating javascript again
a6bd8cd [CB-2756] - updating www/ for bb
5f2c12d [CB-2745] - updating javascript
f3ee54c [CB-2809] resolveFileSystemURI now reports native IllegalArgument exception, getEntryFromURI now handles query strings


Windows 
---

e0917c8 updated project to include new js (cherry picked from commit c9a9ca0bf2ecc7528a5fc840a6f0641672c238a2)
f08ac9c major cleanup, overhaul for 2.7.0, removed bunk template (cherry picked from commit 3797c9c6c74a91a09f16b39cfb88b79efa0b49a5)
199321c updated to 2.7.0rc1 including updated mobile spec tests


Windows Phone 7 
---

e4a2884 2.7.0 version change
7557167 re-applied fix to old file fml (cherry picked from commit 43deeaa88dddc7b34a9b5581eba6820fd5ac887c)
97e195a [CB-3406] InAppBrowser script not enabled in time (cherry picked from commit ca5a6e4e6c2d968c357d77ce66ca5fcd39cc53d6)
ee19e9c updated cordova-js
6116de3 preping for 2.7.x
9acef80 pre-2.7.0 prep
eab9e15 CB-2541 notification.confirm native side buttonLabels takes string[] or s,t,r,i,n,g
0b107ab Merge pull request #17 from bennmapes/update
1266d3a rename project and solution on create
4551e1e Updated project structure and moved all commands to the plugin folder for future splitting out
68922b9 Merge pull request #16 from purplecabbage/2.7Reorg
2eef9a5 Merge pull request #15 from bennmapes/reorg
84a683a Moved cordova scripts to remaining template, added cli support
bbf6934 Merge branch 'master' of github.com:purplecabbage/cordova-wp7 into 2.7Reorg
1dd6d99 Merge pull request #14 from purplecabbage/CB2959
fa0662a fix for csproj wildcard www inclusion
7179d3f remove full template, all projects will be 'StandAlone'
84261e8 Merge pull request #13 from bennmapes/tooling
d1b3ff8 tooling and cli scripts update
7de2a08 Merge pull request #11 from bennmapes/CB-2736
ab9ac6e [CB-2736] Fixed error when resolving file uri from getPicture


Windows Phone 8 
---

f35aa9f Merge pull request #24 from purplecabbage/2.7.0_ReleasePrep
51367c7 updated version number and js
8242689 [CB-3406] InAppBrowser script not enabled in time (cherry picked from commit 3c157b6c58822c573dc6290d9a0ca809eb8a4cc0)
3c157b6 [CB-3406] InAppBrowser script not enabled in time
12c4ed1 updated cordova-js
1bdcf18 fixed logic error with args parsing
dd6c010 deleted temp bs
964ee3e prepping for 2.7.0 release
e254170 prepping rc1
2cef461 CB-2541 notification.confirm native side buttonLabels takes string[] or s,t,r,i,n,g
a04e8bf Merge pull request #22 from bennmapes/update
34ae621 rename project and solution on create
e9e450c updated project structure and moved all commands to the plugin folder for future splitting out WP8
2917181 Merge pull request #21 from purplecabbage/2.7Reorg
572a4ef Merge pull request #20 from bennmapes/reorg
6374585 Moved cordova scripts to remaining template, added cli support
9da95ca remove all templates except the standalone
fd8acc3 Merge pull request #19 from bennmapes/tooling
1443cc1 moved cordova folder into /tooling and added log.js
2337afb Merge pull request #17 from bennmapes/CB-2736
c768aa6 Merge pull request #18 from bennmapes/tooling
6b406e3 tooling and cli scripts update
8ee0054 [CB-2736] Fixed error when resolving file uri from getPicture


OSX 
---

4db81a4 Updated VERSION to 2.7.0
cf28923 Updated cordova-js for 2.7.0
ddf18fb Updated RELEASENOTES for 2.7.0
c69e875 Added WebGL support.
e5ce543 Updated RELEASENOTES for 2.7.0
0b2b3ff Updated VERSION to 2.7.0
d08ed20 Updated cordova-js to 2.7.0rc1
cdf7f29 Enable HTML5 localStorage.
24e3723 Support window.alert, window.prompt, window.confirm
510468d Removed usage of failure callback for ShellUtils::executeShellTaskAsync (result code is always passed in success callback)
d691710 Fixed ShellUtils.
3eab109 Added ShellUtils for plugins to use.
084578c Updated VERSION to 2.6.0
704b66f Updated cordova.js to 2.6.0
72f42c1 Updated 2.6.0rc1 cordova.js


Docs 
---

d7b1c1e [iOS] Added Upgrading docs for 2.6.0 to 2.7.0
28fbd31 Version 2.7.0
a048dc5 [CB-2794] correct camera.getPicture destinationType default
0aa3919 Add Windows Phone upgrade guide to 2.7.0rc1
218ebe5 added guides for upgrading and clarified that these instructions apply to both WP7 + WP8
f7f7b99 Updated docs to reflect tooling/cli changes
dc55db0 Version 2.7.0rc1
e1130cc [CB-3192] Update edge docs to reference next version with x.x.x
065b796 Fixing CB-2789. Removing mode parameter from capture options
dea9d2a Adding instructions for some common problems
6a302e1 Removing the ADT plugin and Eclipse Classic
1a0b57a Fixing CB-3025. Adding documentation of additional InAppBrowserEvent properties
e07c615 [CB-2906] updated deploy to simulator section with Cordova cli create and build commands instead of ant commands
098e322 [CB-2906] updated deploy to device section with Cordova cli create and build commands instead of ant commands
0e273f6 [CB-2906] updated build sample app section with Cordova cli create and build commands instead of ant commands
f3ab447 Merge branch '2.6.x'
8d861b1 [CB-2525] Update 2.5.0 splashscreen sizes
6fed8cf Merge branch 'master' of http://git-wip-us.apache.org/repos/asf/cordova-docs
7bbc923 Describe iOS default protocol in whitelist
b401772 CB-3013: Updating the docs for Android
ccad370 [CB-2305] Document executeScript callback parameters
47284f8 Added iOS upgrading instructions from 2.5.0 to 2.6.0
ba2c097 [CB-2807] - close function is supported in InAppBrowser
40eb8de [CB-2305] Add documntation for InAppBrowser.executeScript and InAppBrowser.insertCSS APIs


MobileSpec 
---

c048761 Updated version to 2.7.0
3fc5df0 [CB-3295] Add assertions for InAppBrowser load events (cherry picked from commit dc2f6f4ab175ddd987ef614c1f75fb678bbb4ccd)
c004cd3 [CB-3220] Fixed CompassHeading test for no params.
9c5c087 Add an iframe with an invalid URL to test CDVWebViewDelegate
0ee6bf7 Updated version to 2.7.0rc1
f664195 Fix InAppBrowser error case tests to specify target="_blank"
6e1fa00 Fix style & script injection tests for InAppBrowser
51400fd Log all InAppBrowser events in its test page.
b94a252 [CB-2166] Test listening for deviceready before cordova.js is loaded.
ef60456 [CB-2913] squashed commits of toetag script, tags jasmine unit tests with unique id
93f50ae [CB-2305] Validate InAppBrowser executeScript/injectCSS callbacks
50c068e Updated version to 2.6.0
048f4f5 [CB-2899] removed debug statement causing a bunch of ugly printouts onload of camera manual test page


CordovaJS 
---

cd29cf0 Prep for 2.7.0 tagging, please don't let this be retagged
0dceeca Merge branch '2.7.x' of https://git-wip-us.apache.org/repos/asf/cordova-js into 2.7.x
130c57a Incrementing version
0b94579 [CB-3210] Remove old exec signature from iOSExec
6d7a99b [Windows8][CB-3214] (cherry picked from commit 766ac951231b87c1a5ace025b20727fd8d9895e2)
4770459 Fixing merge conflicts from not updating VERSION
360bd3e Ok, really updated version this time
c71daa2 Merging version update
da1caec Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-js
c524f9f [all] fix jake lint warnings
da022b0 [CB-3066] Add missing license headers to new files
aa03f53 [CB-3066] Fire onNativeReady from JS, as bridge is available immediately
2ba3bae Allow platform.initialize and cordovaReady to fire before DOMContentLoaded
3fe2dbc Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-js
4967721 [All] CB-2541 notification.confirm buttonLabels are an array of strings, added support for wp7 + wp8
27b5b30 [CB-2825] Allow console.log to accept multiple parameters
e80f4af [android] CB-2963 No longer return a value from exec() when calls are synchronous
6228878 [all] CB-2166 Allow deviceready handlers to be registered before cordova.js is loaded.
57a144c [all] CB-3044 log an error if start-up channels fail to fire.
57816c7 [windowsphone] CordovaCommandResult no longer exists
7ca3699 CB-2850: fix typo of warning to warn
0588dd3 [ios] [CB-2824] Remove iOS DebugConsole plugin
d39c1fe [CB-2785] Switch executeScript/injectCSS to call dedicated plugin methods
10788b9 [CB-2666] Added exec retries for null arguments.
a429d52 [all] CB-2641 - Use modulemapper to retrieve the original symbol
ee4719c Fix whitespace lint warning
fe292ca [all] Remove remaining usage of builder.
79131c9 [windowsphone] Move FileTransfer into symbols.js.
0ec38e5 [windowsphone] Move InAppBrowser into symbols.js
0d1ac65 [windowsphone] modulemapper refactor for CordovaCommandResult
6657897 [windowsphone] modulemapper refactor for console.
f2e1c67 [win8] modulemapper refactor for commandProxy.
f5eadcd [win8] modulemapper refactor for App plugin.
0e31fd3 [win] Move plugin logic out of platform.js
5a6b48a [CB-2641] InAppBrowser launched incorrectly when window.open called on iframes
ecd08f2 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-js
182a0e0 [Windows8] added 3G type for 3GPP and 3GPP2
e6bc58f catch XHR exception in cordova_plugins.json loading code
f76d02f [CB-51] Added httpMethod for file transfer options (allows PUT or POST, defaults to POST)
0296860 [CB-2226] Remove callbacks from FileTransfer.abort() method
32b9e1c [CB-2806] Fix plugin loading when XHR doesn't return valid JSON
5f56a0d [CB-2806] ios fix for script_loader xhr response of 0.
188648b Fix all lint warnings.
9a65e32 [CB-2305] Add InAppBrowser.executeScript and InAppBrowser.insertCSS APIs


Hello World App 
---

0a1ec9b Version 2.7.0
236c0a6 Version 2.7.0rc1


Cordova CLI 
---

22066bc Version 2.7.0 (npm 2.7.2)
ed56f81 [CB-3238] Update cordova-blackberry to 2.7.0
e94c9a1 [CB-3238] Update cordova-android to 2.7.0
aa8a57b [CB-3238] Update cordova-ios to 2.7.0
8eb4c10 [CB-3228] Fix 'cordova build blackberry' to use cordova.js
b94b9ae [npm] Version 2.7.1-rc.1
a2a8e85 [CB-3227] Fix missing build script in iOS project.
d9a153c Version 2.7.0-rc.1
0476a19 CB-3183 handle missing plugins directory
0b4ca24 [npm] Version 2.6.2
0e313ad Merge branch '[npm] Version 2.6.1'
0cf3d03 [npm] Version 2.6.1
cbfe309 [#3050] Add cordova.platform.support(name, callback).
ec204ce [src] Remove unused platform parsers from compile command.
